Back
Democracy 3: Extremism logo

$3.39USD

Genre Strategy/Simulation/Managerial
Developers Positech Games
Game Modes Single-player
Game Rating

Included FREE extras:

About: Democracy 3: Extremism adds 33 new situations and policies that reflect the more extreme side of politics, all within the framework of a democracy. Fed up with just adjusting taxes and government spending in the conventional sense? Perhaps you think your people need the national anthem sung at the start of every news broadcast? Or maybe what they are crying out for is a ban on divorce, or same-sex relationships? Alternatively you might like to close your countries airports to save the environment, or maybe outright ban private education?

How far to the extremes can you take your country and still maintain the support of the people (and avoid some of them putting a gun to your head). Democracy 3:Extremism, for when fiddling with tax rates simply isn't enough!
  • Includes 33 new situations and policies!
  • Work to maintain the support of your people while you bring into law extremist policies!
  • Now's your chance to see what happens when you enact far right or left policies; will your country become a utopia or a dictatorship in everything but name?

Minimum system requirements - Windows: Windows XP / Vista / 7 / 8, Processor 2 GHz (Dual Core), 1 GB RAM (4 GB recommended), Directx 9.0c-compatible 3D graphics card with 256 MB VRAM, 500 MB HDD, DirectX 9.0c-compatible sound card, mouse, keyboard. Minimum system requirements - Mac: OS X 10.6.8 or later.Processor: 2 Ghz Intel Core 2 Duo Memory: 1 GB Graphics: 256 MB of video memory Hard Drive space: 500 MB Recommended two-button mouse, or Apple mouse with Secondary Button / Secondary Click enabled. Minimum system requirements - Linux: Ubuntu 14.04, Mint 17 Processor 2 GHz (Dual Core) Memory: 1 GB RAM Graphics: 256 MB Hard Drive: 500 MB available space

Requires the following packages to be installed: libc6:i386, libasound2:i386, libasound2-data:i386, libasound2-plugins:i386 and dependencies.

Notice: this game comes with a 32-bit binary only Recommended system requirements - Linux: Ubuntu 14.04, Mint 17 Processor 2 GHz (Dual Core) Memory: 4 GB RAM Graphics: 256 MB Hard Drive: 500 MB available space

Requires the following packages to be installed: libc6:i386, libasound2:i386, libasound2-data:i386, libasound2-plugins:i386 and dependencies.

Notice: this game comes with a 32-bit binary only

Popular Titles

Dungeons & Dragons: Dragonshard Logo Image

Dungeons & Dragons: Dragonshard

$6.69USD
Zeus + Poseidon (Acropolis) Logo Image

Zeus + Poseidon (Acropolis)

$6.69USD
Lords of Magic: Special Edition Logo Image

Lords of Magic: Special Edition

$3.99USD
FRACT OSC Logo Image

FRACT OSC

$9.99USD
S.T.A.L.K.E.R.: Clear Sky Logo Image

S.T.A.L.K.E.R.: Clear Sky

$6.69USD
Tomb Raider: The Last Revelation + Chronicles Logo Image

Tomb Raider: The Last Revelation + Chronicles

$6.69USD
Space Colony HD Logo Image

Space Colony HD

$6.69USD
Indiana Jones® and the Fate of Atlantis? Logo Image

Indiana Jones® and the Fate of Atlantis?

$3.19USD
STAR WARS®: Knights of the Old Republic? II - The Sith Lords? Logo Image

STAR WARS®: Knights of the Old Republic? II - The Sith Lords?

$5.29USD
Outcast 1.1 Logo Image

Outcast 1.1

$3.99USD